<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: list_mem Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">list_mem Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="list__mem_8h_source.html">list_mem.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for list_mem:</div>
<div class="dyncontent">
<div class="center"><img src="structlist__mem__coll__graph.png" border="0" usemap="#list__mem_coll__map" alt="Collaboration graph"/></div>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a88616358acade59fb09e90e3d96d0cef"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structlist__mem.html">list_mem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlist__mem.html#a88616358acade59fb09e90e3d96d0cef">first</a></td></tr>
<tr class="separator:a88616358acade59fb09e90e3d96d0cef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b9a364deed0a5f5e5a6d01f05ba5098"><td class="memItemLeft" align="right" valign="top">uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlist__mem.html#a5b9a364deed0a5f5e5a6d01f05ba5098">mem</a></td></tr>
<tr class="separator:a5b9a364deed0a5f5e5a6d01f05ba5098"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a140d449f4eaaa9afc56f07abb4922597"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlist__mem.html#a140d449f4eaaa9afc56f07abb4922597">num</a></td></tr>
<tr class="separator:a140d449f4eaaa9afc56f07abb4922597"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a854352f53b148adc24983a58a1866d66"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlist__mem.html#a854352f53b148adc24983a58a1866d66">size</a></td></tr>
<tr class="separator:a854352f53b148adc24983a58a1866d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a id="a88616358acade59fb09e90e3d96d0cef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88616358acade59fb09e90e3d96d0cef">&#9670;&nbsp;</a></span>first</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structlist__mem.html">list_mem</a>* first</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b9a364deed0a5f5e5a6d01f05ba5098"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b9a364deed0a5f5e5a6d01f05ba5098">&#9670;&nbsp;</a></span>mem</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* mem</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a140d449f4eaaa9afc56f07abb4922597"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a140d449f4eaaa9afc56f07abb4922597">&#9670;&nbsp;</a></span>num</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t num</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a854352f53b148adc24983a58a1866d66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a854352f53b148adc24983a58a1866d66">&#9670;&nbsp;</a></span>size</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t size</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>list/<a class="el" href="list__mem_8h_source.html">list_mem.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
